--------------------------------------------------------------------------------------------
--	TimerPromise.lua
--  
--  Copyright 2013 Control4 Corporation. All rights reserved.
--
--  Requires that TimerManager is part of the serviceLocator
--------------------------------------------------------------------------------------------
require("law.objects")
require("law.Promise")
require("law.ServiceLocator")

TimerPromise = inheritsFrom(Promise)

function TimerPromise:init(timerId)
	self:super():init()

	self._timerId = timerId
end

--[[
	Cancels the timer.
--]]
function TimerPromise:killTimer()
	ServiceLocator.TimerManager:killTimer(self._timerId)
end

